<template>
  <div
    data-component-group="auth-notification"
    data-component="confirm-business"
  >
    <span class="component-title">
      {{ $t('views.register.confirm_business_notification.title') }}
    </span>
    <div class="component-content">
      <p>
        <i18n
          path="views.register.confirm_business_notification.content"
          tag="label"
          for="action"
        >
          <strong v-html="email"></strong>
        </i18n>
      </p>
    </div>
    <div class="after-content">
      <p>
        <i18n
          path="views.register.confirm_business_notification.after_content"
          tag="label"
          for="action"
        >
          <v-btn
            flat
            depressed
            :ripple="false"
            @click="onReenterAddress"
            v-html="$t('views.register.confirm_business_notification.action')"
          ></v-btn>
        </i18n>
      </p>
    </div>
  </div>
</template>

<script>
  export default {
    props: {
      email: {
        type: String,
        required: true
      },
      onReenterAddress: {
        type: Function,
        required: true
      }
    }
  };
</script>

<style lang="stylus" scoped>
  [data-component-group="auth-notification"] {
    &[data-component="confirm-business"] {
      width: 100%;
      padding: 50px 0 0 0;

      > .component-title {
        display: inline-block;
        font-size: 28px;
        font-weight: 800;
        margin: 0 0 20px 0;
      }

      > .component-content {
        white-space: pre;
      }

      > .after-content {
        .v-btn {
          display: inline-block;
          padding: 0;
          margin: 0;
          text-transform: none;
          font-size: 16px;
          vertical-align: top;
          text-decoration: none;
          height: auto;

          &:before {
            background-color: transparent !important;
          }
        }
      }
    }
  }
</style>
